package com.example.session_1

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import com.example.session_1.common.MyRetrofit
import com.example.session_1.common.RetApi
import retrofit2.Call
import retrofit2.Callback
import retrofit2.Response
import retrofit2.Retrofit

class SignUpScreen : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_sign_up_screen)
        val hasMap = HashMap<String,String>()
        hasMap["appId"] = "com.example.session_1"
        hasMap["competitor"] = "wsrmob2"
        MyRetrofit.getRetrofit().getRegApp(hasMap)

     /*   val call = (object: Callback<HashMap<String,String>>{
            override fun onResponse(
                call: Call<HashMap<String, String>>,
                response: Response<HashMap<String, String>>
            ) {
                val hasMap = HashMap<String,String>()
                hasMap["appId"] = "com.example.session_1"
                hasMap["competitor"] = "wsrmob2"
                call.enqueue(MyRetrofit.getRetrofit().apply {
                    pUUID(hasMap).apply {  }
                })
            }

            override fun onFailure(call: Call<HashMap<String, String>>, t: Throwable) {

            }

        })*/
    }
}